Bug 160167 - Evolution fails to start from gnome-panel when remote via Freenx
Evolution fails to start from gnome-panel when remote via Freenx
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-12 11:15 EDT by Matthew Wright
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 03:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace as per instructions (1.51 MB, text/plain)
2005-06-15 12:34 EDT, Matthew Wright
no flags Details
after i went through the previous now evol won't start at the console either (373.72 KB, text/x-log)
2005-06-15 12:47 EDT, Matthew Wright
no flags Details
Closed down evo from terminal straced bonobo-act-serv and tried evo from panel (9.61 KB, text/plain)
2005-06-18 01:53 EDT, Matthew Wright
no flags Details
Bonbobo strace before launching evolution from the panel (9.71 KB, text/plain)
2005-06-20 20:13 EDT, Matthew Wright
no flags Details
the strace of starting evolution from the panel (which later crashed) buffer overflow -see attachment later (1.61 MB, text/plain)
2005-06-20 20:16 EDT, Matthew Wright
no flags Details
This is what my gnome-terminal looked like runnning evo with the strace (1.73 KB, text/plain)
2005-06-20 20:21 EDT, Matthew Wright
no flags Details
ps -ef just after I started teh initial evo strace (4.83 KB, text/plain)
2005-06-20 20:22 EDT, Matthew Wright
no flags Details
ps -ef all evolution related processes killed clean slate start (4.20 KB, text/plain)
2005-06-20 20:24 EDT, Matthew Wright
no flags Details
final ps-ef after i've started evlution from the panel (notice that evolution stays running in the background but no windows are drawn on the gui etc. (4.89 KB, text/plain)
2005-06-20 20:27 EDT, Matthew Wright
no flags Details
strace of evolution-alarm-notify after i've run evolution from gnome-terminal and closed it and before i've opened evolution from gnome-panel using shipped icon (37.90 KB, text/plain)
2005-06-21 05:53 EDT, Matthew Wright
no flags Details
Here's what processes are running while i'm doing this latest requestion (5.90 KB, text/plain)
2005-06-21 05:58 EDT, Matthew Wright
no flags Details
What to change to get FreeNX to work (this is a work around as you'll see). (24.37 KB, image/png)
2005-06-23 20:22 EDT, Matthew Wright
no flags Details
What to change to get FreeNX to work (this is a work around as you'll see). Part 2/2 (13.28 KB, image/png)
2005-06-23 20:22 EDT, Matthew Wright
no flags Details

  None (edit)
Description Matthew Wright 2005-06-12 11:15:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Evolution will not start as an ordinary user under FC4 ... I was also seeing this problem under FC4 test 3 but assumed it was my environment




Version-Release number of selected component (if applicable):
evolution

How reproducible:
Always

Steps to Reproduce:
I installed a clean FC4 then added FreeNX and LTSP.  Straight after this I tried to start FC4 from the gnome shell along the top by clicking on the mail icon which is set to launchmail
The hourglass spun a few times then it disappeared
I dropped to gnome-terminal and tried to run lauchmail then evolution
output is
[radmin@m-router2 ~]$ evolution
es menu class init

same for launchmail
[radmin@m-router2 ~]$ launchmail
es menu class init

both result in the console hanging until I ctrl+c

I ran strace and deduced the problem was orbit related.
  

Actual Results:  evolution hung


Expected Results:  evolution starts the wizard to create a new account
(or if you use have set mail up ie by getting evolution to start by going rm -rf /tmp/*username*
which removes the /tmp/orbit-$username'
then eevolution will work until you try and start it again from the gui application bar along top

Additional info:

[radmin@m-router2 ~]$ evolution
es menu class init

same for launchmail
[radmin@m-router2 ~]$ launchmail
es menu class init

strace evolution last bit is
connect(18, {sa_family=AF_FILE, path="/tmp/orbit-radmin/linc-e39-0-60b4072d9252"}, 44) = 0
writev(18, [{"GIOP\1\2\1\0a\0\0\0", 12}, {"\0\304\321\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\\\302\374"..., 97}], 2) = 109
poll(


Also: i rate this as very important because it is an embarrasment that a flagship application will not start for an ordinary user.
Comment 1 Matthew Wright 2005-06-13 09:49:33 EDT
IMPORTANT UPDATE: This appears to be related to various SELINUX problems I have
been experiencing
THe problem seems to have gone away once I
appended selinux=0 to my kernel line in grub
and
Desktop | system settings |security level | SELinux TAB
Enabled  (uncheck -- greying everything out

after this -- all the new users I created worked fine.

I was also getting problems with other daemons such as dhcpd from selinux (This
is how I discovered it was Selinux causing the problem
Comment 2 Dave Malcolm 2005-06-13 16:22:52 EDT
Which SELinux policy were you running before you disabled it; targetted or strict?
Comment 3 Matthew Wright 2005-06-13 19:53:31 EDT
targetted --BUT i was getting weird results in the office, i'll be doing another
test in 1 hours time

It could be that the problem only occurs when connecting remotely with the
Freenx client, and it may not occur at the office on the console or on an LTSP
terminal.

The FreeNX i'm using is the FC3 binary from Rick Stout
http://fedoranews.org/contributors/rick_stout/freenx/

I'll give you an answer on this shortly
Comment 4 Matthew Wright 2005-06-13 21:22:17 EDT
Ok, I have some definative information.
It only occurs from remote FreeNX sessions. (which is how I do all my testing
and development -- the other guys build the box for me at the office and I do
everything from remote.
This is probably why this issue hasn't been noticed yet.

Evolution runs ok from LTSP terminals and from the Console,  Just not from FreeNX
If you're interested I can give you a login , key and instructions to login to
my test FreeNX box so you can experience the issue for yourself.
Comment 5 Matthew Wright 2005-06-15 01:01:53 EDT
Mark,

I have assigned this to you, as i understand you have experience with VNC and
FreeNX.  I can't start evolution and I can't logout from sessions created
remotely via FreeNX,

Problem doesn't occur on LTSP terminals connected to the same box and doesn't
occur at the console
Comment 6 Matthew Wright 2005-06-15 04:23:49 EDT
Ok I have almost solved the problem.

I changed /etc/pam.d/other ... the four entries from required to sufficient
and now evolution starts up
Comment 7 Mark McLoughlin 2005-06-15 06:23:33 EDT
(In reply to comment #6)
> Ok I have almost solved the problem.
> 
> I changed /etc/pam.d/other ... the four entries from required to sufficient
> and now evolution starts up

I don't see how that can make a difference. The /etc/pam.d/other specifies the
PAM policy to be used for services which have no explicit configuration for them
- i.e. if a service doesn't have any PAM configuration, the policy for that
service defaults to a single rule - "required pam_deny.so" - which should always
fail. However, changing it to "sufficient pam_deny.so" shouldn't change the
behaviour AFAICS ... that should always fail too.

It'd be useful if you could figure out which service this is.

Attaching the full strace of the failing evolution process would help too.
Comment 8 Matthew Wright 2005-06-15 10:14:36 EDT
I can't do an strace as the problem only occurs with the stock standard
unmodified icon on the gnome panel which is a Launcher for "launchmail"  My work
around prior to fixing this was to check the box "Run in Terminal windows" if i
did this it worked IF i had done a rm -rf /tmp/*$USER*.

Now I only have to delete the tmp file If i'd done it the bad way the previous
time.  If i'd opened it with the icon run in terminal window the previous time
then it would continue to open this way again and again.  but as soon as I tried
to run it default (and it wouldn't start) i would then have to rm -rf
/tmp/*$USER* b4 being able to start it again from the shell directly (or via the
run in terminal window mofified standard icon).

I hope that you follow what i'm saying above.

It's really easy to test anyway -- install FreeNX on a vanilla FC4 box and try
and start evolution.  pam.d/other modified to sufficient definately fixes the
problem as I reverted and the problem reappeared.
Comment 9 Mark McLoughlin 2005-06-15 10:28:30 EDT
You can do:

  $> gnome-session-remove gnome-panel
  $> GNOME_PANEL_DEBUG=1 strace -f gnome-panel 2>foo.log

and then launch evolution using the icon on the panel

If you can't reproduce that way, then try attach to a normally running
gnome-panel using strace -pf $(pid) and also give us the output of "cat
/proc/$(pid)/environ"
Comment 10 Matthew Wright 2005-06-15 12:34:30 EDT
Created attachment 115488 [details]
strace as per instructions

This was after changing the following file second line from sufficient to
required then trying to run evolution (which wouldn't start
[root@solar pam.d]# cat other
#%PAM-1.0
auth	 sufficient	  pam_deny.so
account  sufficient	  pam_deny.so
password sufficient	  pam_deny.so
session  sufficient	  pam_deny.so
Comment 11 Matthew Wright 2005-06-15 12:47:35 EDT
Created attachment 115489 [details]
after i went through the previous now evol won't start at the console either
Comment 12 Mark McLoughlin 2005-06-15 13:48:36 EDT
What the logs show is a sequence along the lines of

 - evo connects to running bonobo-activation-server
 - evo sends some messages to b-a-s, gets back an IOR (presumably evo activated 
   something)
 - evo connects to the object specified by the IOR, sends some messages and
   disconnects
 - evo then sends some more messages to b-a-s, gets back an IOR
 - evo hangs while trying to connect to that object

So, I reckon (from a quick poke at a local copy of evo) the first activation is
evolution-data-server and the second is evolution-alarm-notify. If so, we need
to find out what the issue with evolution-alarm-notify is.

The way to debug this is to make sure all evolution processes are dead -
evolution, evolution-data-server, evolution-alarm-notify etc.

Then attach to bonobo-activation-server with strace -pf $(pid) and run evolution
as normal. Hopefully that strace log should show us what's going on.
Comment 13 Matthew Wright 2005-06-17 00:07:05 EDT
Evolution fails to start from gnome-panel using default lauchmail icon or
Applications |office |evolution  default icon
Then evolution will not start from gnome-terminal
to start evolution from gnome-terminal you have to 
rm  /tmp/orbit-$USER/bbonobo-activation-server-ior
then evolution will start from gnome-terminal by typing "evolution" at the shell
You can then start evolution as many times as you want from within a gnome-terminal

If you then go back to trying the standard gnome-panel icons again.  It stuffs
up again. 

This can be remedied by deleting  bonobo-activation-server-ior once again.
Comment 14 Mark McLoughlin 2005-06-17 03:29:53 EDT
If you remove the bonobo-activation-server-ior, does it work from the panel
(i.e. if you don't try running it from the terminal first)

By removing bonobo-activation-server-ior, what you're effectively doing is
forcing evolution to start a new copy of bonobo-activation-server rather than
using an existing bonobo-activation-server.

What I really need to see now is an strace of bonobo-activation-server when
evolution startup fails.

So, e.g. remove bonobo-activation-server-ior, start evo from the terminal then
strace -fp $(bonobo-activation-server-pid) and start evo from the panel.

The environment of evo run from the terminal, evo run from the panel, the panel
itself and bonobo-activation-server would also be helpful. You can get that with
"cat /proc/$(pid)/environ"
Comment 15 Matthew Wright 2005-06-18 01:53:05 EDT
Created attachment 115649 [details]
Closed down evo from terminal straced bonobo-act-serv and tried evo from panel
Comment 16 Matthew Wright 2005-06-18 02:35:16 EDT
=========================================================
This is the environment of the panel
=========================================================
matt     30435     1  0 15:29 ?        00:00:00 gnome-panel --sm-client-id
11c0a800fe000111885296600000041630003 --screen 0
[matt@solar ~]$ cat /proc/30435/environ
DISPLAY=unix:1005.0HOSTNAME=solar.vic.greens.org.auSHELL=/bin/bashHISTSIZE=1000SSH_CLIENT=::ffff:127.0.0.1
36548
22USER=mattLS_COLORS=KDEDIR=/usrPATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/matt/binMAIL=/var/spool/mail/mattINPUTRC=/etc/inputrcPWD=/home/mattLANG=en_US.UTF-8SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpassHOME=/home/mattSHLVL=2LOGNAME=mattSSH_CONNECTION=::ffff:127.0.0.1
36548 ::ffff:127.0.0.1 22LESSOPEN=|/usr/bin/lesspipe.sh
%sG_BROKEN_FILENAMES=1_=/usr/bin/gnome-sessionGTK_RC_FILES=/etc/gtk/gtkrc:/home/matt/.gtkrc-1.2-gnome2SESSION_MANAGER=local/solar.vic.greens.org.au:/tmp/.ICE-unix/30372,inet6/solar.vic.greens.org.au:32871,inet/solar.vic.greens.org.au:32872GNOME_KEYRING_SOCKET=/tmp/keyring-3fAvyF/socketGNOME_DESKTOP_SESSION_ID=Default
-------------------------------------------------------------------------

=========================================================
**** THIS IS AFTER i have closed down evo from terminal
and clicked on the icon in the gnome-panel.
=========================================================
matt     30882     1  0 15:49 ?        00:00:00 evolution
[matt@solar ~]$ cat /proc/30882/environ
HOSTNAME=solar.vic.greens.org.auSHELL=/bin/bashHISTSIZE=1000SSH_CLIENT=::ffff:127.0.0.1
36548
22GTK_RC_FILES=/etc/gtk/gtkrc:/home/matt/.gtkrc-1.2-gnome2USER=mattLS_COLORS=GNOME_KEYRING_SOCKET=/tmp/keyring-3fAvyF/socketKDEDIR=/usrSESSION_MANAGER=local/solar.vic.greens.org.au:/tmp/.ICE-unix/30372,inet6/solar.vic.greens.org.au:32871,inet/solar.vic.greens.org.au:32872MAIL=/var/spool/mail/mattPATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/matt/binPWD=/home/mattINPUTRC=/etc/inputrcLANG=en_US.UTF-8SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpassSHLVL=2HOME=/home/mattGNOME_DESKTOP_SESSION_ID=DefaultLOGNAME=mattSSH_CONNECTION=::ffff:127.0.0.1
36548 ::ffff:127.0.0.1 22LESSOPEN=|/usr/bin/lesspipe.sh
%sDISPLAY=unix:1005.0G_BROKEN_FILENAMES=1[matt@solar ~]$
------------------------------------------------------------------------
 30811     1  0 15:44 ?        00:00:00 /usr/libexec/bonobo-activation-server
--ac-activate --ior-output-fd=20
[matt@solar ~]$ cat /proc/30811/environ
HOSTNAME=solar.vic.greens.org.auTERM=xtermDESKTOP_STARTUP_ID=SHELL=/bin/bashHISTSIZE=1000SSH_CLIENT=::ffff:127.0.0.1
36548
22GTK_RC_FILES=/etc/gtk/gtkrc:/home/matt/.gtkrc-1.2-gnome2WINDOWID=35651685USER=mattLS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:GNOME_KEYRING_SOCKET=/tmp/keyring-3fAvyF/socketKDEDIR=/usrSESSION_MANAGER=local/solar.vic.greens.org.au:/tmp/.ICE-unix/30372,inet6/solar.vic.greens.org.au:32871,inet/solar.vic.greens.org.au:32872MAIL=/var/spool/mail/mattPATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/matt/binPWD=/tmp/orbit-mattINPUTRC=/etc/inputrcLANG=en_US.UTF-8SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpassSHLVL=3HOME=/home/mattGNOME_DESKTOP_SESSION_ID=DefaultLOGNAME=mattSSH_CONNECTION=::ffff:127.0.0.1
36548 ::ffff:127.0.0.1 22LESSOPEN=|/usr/bin/lesspipe.sh
%sDISPLAY=unix:1005.0G_BROKEN_FILENAMES=1COLORTERM=gnome-terminal_=/usr/bin/evolutionOLDPWD=/tmp[matt@solar
~]$
------------------------------------------------------------------------
    30819     1  0 15:44 ?        00:00:00
/usr/libexec/evolution/2.2/evolution-alarm-notify
--oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.2
--oaf-ior-fd=26
@solar ~]$ cat /proc/30819/environ
HOSTNAME=solar.vic.greens.org.auTERM=xtermDESKTOP_STARTUP_ID=SHELL=/bin/bashHISTSIZE=1000SSH_CLIENT=::ffff:127.0.0.1
36548
22GTK_RC_FILES=/etc/gtk/gtkrc:/home/matt/.gtkrc-1.2-gnome2WINDOWID=35651685USER=mattLS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:GNOME_KEYRING_SOCKET=/tmp/keyring-3fAvyF/socketKDEDIR=/usrSESSION_MANAGER=local/solar.vic.greens.org.au:/tmp/.ICE-unix/30372,inet6/solar.vic.greens.org.au:32871,inet/solar.vic.greens.org.au:32872MAIL=/var/spool/mail/mattPATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/matt/binPWD=/tmp/orbit-mattINPUTRC=/etc/inputrcLANG=en_US.UTF-8SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpassSHLVL=3HOME=/home/mattGNOME_DESKTOP_SESSION_ID=DefaultLOGNAME=mattSSH_CONNECTION=::ffff:127.0.0.1
36548 ::ffff:127.0.0.1 22LESSOPEN=|/usr/bin/lesspipe.sh
%sDISPLAY=unix:1005.0G_BROKEN_FILENAMES=1COLORTERM=gnome-terminal_=/usr/bin/evolutionOLDPWD=/tmpBONOBO_ACTIVATION_OD_IOR=IOR:010000001f00000049444c3a426f6e6f626f2f4f626a6563744469726563746f72793a312e300000040000000054424f600000000101020005000000554e49580000000018000000736f6c61722e7669632e677265656e732e6f72672e6175002a0000002f746d702f6f726269742d6d6174742f6c696e632d373835622d302d373761363436643039363165620000000000000000000000480000000101020018000000736f6c61722e7669632e677265656e732e6f72672e6175008c8000001c000000000000000d3391460fe6b072c77ea0209786dfa205000000b40367af00000000caaedfba54000000010102002a0000002f746d702f6f726269742d6d6174742f6c696e632d373835622d302d373761363436643039363165620000001c000000000000000d3391460fe6b072c77ea0209786dfa205000000b40367af01000000480000000100000002000000050000001c000000000000000d3391460fe6b072c77ea0209786dfa205000000b40367af01000000140000000100000001000105000000000901010000000000
--------------
matt     30813     1  0 15:44 ?        00:00:00
/usr/libexec/evolution-data-server-1.2
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=24

[matt@solar ~]$ cat /proc/30813/environ
HOSTNAME=solar.vic.greens.org.auTERM=xtermDESKTOP_STARTUP_ID=SHELL=/bin/bashHISTSIZE=1000SSH_CLIENT=::ffff:127.0.0.1
36548
22GTK_RC_FILES=/etc/gtk/gtkrc:/home/matt/.gtkrc-1.2-gnome2WINDOWID=35651685USER=mattLS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:GNOME_KEYRING_SOCKET=/tmp/keyring-3fAvyF/socketKDEDIR=/usrSESSION_MANAGER=local/solar.vic.greens.org.au:/tmp/.ICE-unix/30372,inet6/solar.vic.greens.org.au:32871,inet/solar.vic.greens.org.au:32872MAIL=/var/spool/mail/mattPATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/matt/binPWD=/tmp/orbit-mattINPUTRC=/etc/inputrcLANG=en_US.UTF-8SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpassSHLVL=3HOME=/home/mattGNOME_DESKTOP_SESSION_ID=DefaultLOGNAME=mattSSH_CONNECTION=::ffff:127.0.0.1
36548 ::ffff:127.0.0.1 22LESSOPEN=|/usr/bin/lesspipe.sh
%sDISPLAY=unix:1005.0G_BROKEN_FILENAMES=1COLORTERM=gnome-terminal_=/usr/bin/evolutionOLDPWD=/tmpBONOBO_ACTIVATION_OD_IOR=IOR:010000001f00000049444c3a426f6e6f626f2f4f626a6563744469726563746f72793a312e300000040000000054424f600000000101020005000000554e49580000000018000000736f6c61722e7669632e677265656e732e6f72672e6175002a0000002f746d702f6f726269742d6d6174742f6c696e632d373835622d302d373761363436643039363165620000000000000000000000480000000101020018000000736f6c61722e7669632e677265656e732e6f72672e6175008c8000001c000000000000000d3391460fe6b072c77ea0209786dfa205000000b40367af00000000caaedfba54000000010102002a0000002f746d702f6f726269742d6d6174742f6c696e632d373835622d302d373761363436643039363165620000001c000000000000000d3391460fe6b072c77ea0209786dfa205000000b40367af01000000480000000100000002000000050000001c000000000000000d3391460fe6b072c77ea0209786dfa205000000b40367af01000000140000000100000001000105000000000901010000000000------------------------------------------------

-------------------------------------------------------------------------
===========================================================================
evolution from gnome-terminal (working) after rm the /tmp/orbit-matt/bon*ior
[matt@solar orbit-matt]$ cat /proc/17904/environ
HOSTNAME=solar.vic.greens.org.auTERM=xtermDESKTOP_STARTUP_ID=SHELL=/bin/bashHISTSIZE=1000SSH_CLIENT=::ffff:127.0.0.1
36548
22GTK_RC_FILES=/etc/gtk/gtkrc:/home/matt/.gtkrc-1.2-gnome2WINDOWID=35651685USER=mattLS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:GNOME_KEYRING_SOCKET=/tmp/keyring-3fAvyF/socketKDEDIR=/usrSESSION_MANAGER=local/solar.vic.greens.org.au:/tmp/.ICE-unix/30372,inet6/solar.vic.greens.org.au:32871,inet/solar.vic.greens.org.au:32872MAIL=/var/spool/mail/mattPATH=/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/matt/binPWD=/tmp/orbit-mattINPUTRC=/etc/inputrcLANG=en_US.UTF-8SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpassSHLVL=3HOME=/home/mattGNOME_DESKTOP_SESSION_ID=DefaultLOGNAME=mattSSH_CONNECTION=::ffff:127.0.0.1
36548 ::ffff:127.0.0.1 22LESSOPEN=|/usr/bin/lesspipe.sh
%sDISPLAY=unix:1005.0G_BROKEN_FILENAMES=1COLORTERM=gnome-terminal_=/usr/bin/evolutionOLDPWD=/tmp


Look forward to hearing from you -- thanks appreciate you looking at this.

Comment 17 Mark McLoughlin 2005-06-20 03:39:26 EDT
The environ dumps don't show anything interesting unfortunately. Thought it
might be something like $SSH_CLIENT/$SSH_CONNECTION differing between processes.

The strace missed the bit we need to see too - we need to see where
bonobo-activation-server execs evolution-alarm-notify. So, I'd try

  1) In terminal remove bonobo-activation-server-ior
  2) Still in terminal do strace -fx evolution and close down evolution.
  3) Strace probably stops when evo shuts down, so connect strace to b-a-s
  4) Run evolution from gnome-panel

You should end up with two strace logs then. Attach both.
Comment 18 Matthew Wright 2005-06-20 20:11:20 EDT
Attached are the new files to help you, if you'd like remote access into one of
my test boxes via FreeNX then I can set you up.
Comment 19 Matthew Wright 2005-06-20 20:13:46 EDT
Created attachment 115720 [details]
Bonbobo strace before launching evolution from the panel
Comment 20 Matthew Wright 2005-06-20 20:16:21 EDT
Created attachment 115721 [details]
the strace of starting evolution from the panel (which later crashed) buffer overflow -see attachment later
Comment 21 Matthew Wright 2005-06-20 20:21:23 EDT
Created attachment 115722 [details]
This is what my gnome-terminal looked like runnning evo with the strace
Comment 22 Matthew Wright 2005-06-20 20:22:59 EDT
Created attachment 115723 [details]
ps -ef just after I started teh initial evo strace
Comment 23 Matthew Wright 2005-06-20 20:24:21 EDT
Created attachment 115724 [details]
ps -ef all evolution related processes killed clean slate start
Comment 24 Matthew Wright 2005-06-20 20:27:19 EDT
Created attachment 115725 [details]
final ps-ef after i've started evlution from the panel (notice that evolution stays running in the background but no windows are drawn on the gui etc.
Comment 25 Mark McLoughlin 2005-06-21 04:12:29 EDT
Okay, I'm pretty confused now ... I don't see evolution hanging anywhere here.

What I basically need is an strace of evolution-alarm-notify when evolution is
trying to connect to it and hanging.
Comment 26 Matthew Wright 2005-06-21 05:50:04 EDT
ssh into box rm -rf /tmp/*matt*/
pkill -u matt (from root with another account)
ps -ef matt (nothing running)
logout

Ok Ran FreeNX
connect to box
[matt@solar ~]$ ps -ef |grep bonobo |grep matt
matt     16513     1  0 19:34 ?        00:00:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=22

Then
[matt@solar ~]$ ps -ef |grep alarm |grep matt
matt     16651 16592  0 19:37 pts/3    00:00:00 grep alarm
[matt@solar ~]$


Alarm notify not running

Then

evolution (at gnome-terminal)

doesn't run -- I have to delete the bonobo-activiation-ior

evolution then runs

I exit out then

[matt@solar orbit-matt]$ ps -ef |grep notify |grep matt
matt     16733     1  0 19:40 ?        00:00:00
/usr/libexec/evolution/2.2/evolution-alarm-notify
--oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.2
--oaf-ior-fd=26

as per your instructions

[matt@solar ~]$ strace -fp 16733 2> /home/matt/evo_alarm_notify.strace



Now I am starting evolution from the panel

It all just hangs so I wait 1 minute then

Then ps -ef to show you it running

finally 

ctrl+c where the strace is doing nothing in gnome-terminal


Now sending you the strace
Comment 27 Matthew Wright 2005-06-21 05:53:33 EDT
Created attachment 115740 [details]
strace of evolution-alarm-notify after i've run evolution from gnome-terminal and closed it  and before i've opened evolution from gnome-panel using shipped icon
Comment 28 Matthew Wright 2005-06-21 05:58:07 EDT
Created attachment 115742 [details]
Here's what processes are running while i'm doing this latest requestion
Comment 29 Mark McLoughlin 2005-06-21 07:11:07 EDT
The strace of evolution-alarm-notify shows nothing about evolution connecting.
Perhaps that's just the issue - evolution can't connect to
evolution-alarm-notify. I wonder why it would hang, though, rather than
connect() just failing.

Interestingly, evolution is being started by gnome-session ... presumably that
never comes up. Does removing ~/.gnome2/session help any?

Anything in /var/log/messages of interest? (e.g. selinux avc_denied messages?)

Are you sure you're starting NX correctly? I would have expected nxnode-login to
be running on the client.
Comment 30 Mark McLoughlin 2005-06-21 07:23:06 EDT
Hmm, looking again at the strace in comment #10, we see:

[pid  4316] connect(20, {sa_family=AF_FILE,
path="/tmp/orbit-matt/linc-108c-0-db2a957edc0f"}, 43) = 0
[pid  4316] writev(20, [{"GIOP\1\2\1\0a\0\0\0", 12},
{"@\342\325\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\376?I}\203"..., 97}], 2) = 109
[pid  4316] poll( <unfinished ...>

Which means we've successfully connected to whatever it was and only hang while
waiting for a reply. Perhaps its not evolution-alarm-notify its trying to
connect to after all.

What you'll need to do to figure that out is do what you did in comment #10
again (i.e. strace -f gnome-panel and try to start evo from the panel), look for
where evo hangs (it'll be the last action from the process with the highest
number) and find the socket its trying to connect to (in the case above its
linc-108c-0-db2a957edc0f). Then you can do netstat -xp (as root) to figure out
which process owns the socket.
Comment 31 Matthew Wright 2005-06-21 08:03:11 EDT
[matt@solar ~]$ gnome-session-remove gnome-panel
Removing 'gnome-panel' from the session
[matt@solar ~]$ GNOME_PANEL_DEBUG=1 strace -f gnome-panel 2> 730yourtime.log
es menu class init


[root@solar matt]# cat straceisrunning
matt     16509     1  0 19:34 ?        00:00:01 /usr/libexec/gconfd-2 13
matt     16511     1  0 19:34 ?        00:00:00 /usr/bin/gnome-keyring-daemon
matt     16513     1  0 19:34 ?        00:00:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=22
matt     16584     1  0 19:34 ?        00:00:00
/usr/libexec/evolution-data-server-1.2
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=41
matt     16726     1  0 19:40 ?        00:00:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=20
matt     16728     1  0 19:40 ?        00:00:00
/usr/libexec/evolution-data-server-1.2
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=24
matt     16733     1  0 19:40 ?        00:00:00
/usr/libexec/evolution/2.2/evolution-alarm-notify
--oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.2
--oaf-ior-fd=26
nx       24148 24146  0 21:08 ?        00:00:00 /usr/bin/expect
/usr/bin/nxnode-login -- ssh matt 22 /usr/bin/nxnode --startsession
user=matt&userip=192.168.0.1&uniqueid=50178DE5A60FFB9BBD91454E73D6B865&display=1005&&session=Greens
Solar&type=unix-gnome&cache=32M&images=32M&cookie=ce86d7d02a229acfaca4b63f01a1171b&link=modem&kbtype=pc102/en_US&nodelay=1&encryption=1&backingstore=never&geometry=fullscreen&media=0&agent_server=&agent_user=&agent_password=&screeninfo=1024x768x32+render
nx       24152 24148  0 21:08 pts/1    00:00:00 ssh -2 -x -l matt 127.0.0.1 -o
NumberOfPasswordPrompts 1 -p 22 /usr/bin/nxnode --startsession
root     24157  2079  0 21:08 ?        00:00:00 sshd: matt [priv]
matt     24161 24157  0 21:08 ?        00:00:00 sshd: matt@notty
matt     24162 24161  0 21:08 ?        00:00:00 /bin/bash /usr/bin/nxnode
--startsession
matt     24260 24162  0 21:08 ?        00:00:00 /bin/bash /usr/bin/nxnode
--startsession
matt     24261 24260  0 21:08 ?        00:00:00 tail -n1 -f
/home/matt/.nx/C-solar.vic.greens.org.au-1005-50178DE5A60FFB9BBD91454E73D6B865/session
matt     24262 24260  0 21:08 ?        00:00:00 /bin/bash /usr/bin/nxnode
--startsession
matt     24264 24162  0 21:08 ?        00:00:00 /bin/bash /usr/bin/nxnode
--startsession
matt     24265 24264  0 21:08 ?        00:00:09 /usr/lib/NX/nxagent -persistent
-name NX - matt@solar.vic.greens.org.au:1005 - Greens Solar (GPL Edition)
-option
/home/matt/.nx/C-solar.vic.greens.org.au-1005-50178DE5A60FFB9BBD91454E73D6B865/options
-kbtype pc102/en_US -geometry fullscreen -bs never :1005
matt     24266 24162  0 21:08 ?        00:00:00 /bin/bash /usr/bin/nxnode
--startsession
matt     24292 24265  0 21:08 ?        00:00:10 /usr/lib/NX/nxagent -persistent
-name NX - matt@solar.vic.greens.org.au:1005 - Greens Solar (GPL Edition)
-option
/home/matt/.nx/C-solar.vic.greens.org.au-1005-50178DE5A60FFB9BBD91454E73D6B865/options
-kbtype pc102/en_US -geometry fullscreen -bs never :1005
matt     24316 24266  0 21:08 ?        00:00:00 gnome-session
matt     24324     1  0 21:08 ?        00:00:00 /usr/bin/gnome-keyring-daemon
matt     24326     1  0 21:08 ?        00:00:00 metacity --sm-save-file
1118722326-10733-3534774131.ms
matt     24328     1  0 21:08 ?        00:00:00
/usr/libexec/gnome-settings-daemon
--oaf-activate-iid=OAFIID:GNOME_SettingsDaemon --oaf-ior-fd=28
matt     24334     1  0 21:08 ?        00:00:04 /usr/libexec/gam_server
matt     24343     1  0 21:08 ?        00:00:00 xscreensaver -nosplash
matt     24352     1  0 21:08 ?        00:00:00 gnome-volume-manager
--sm-config-prefix /gnome-volume-manager-NuWksV/ --sm-client-id
11c0a800fe000111871103800000106380002 --screen 0
matt     24354     1  0 21:08 ?        00:00:01 nautilus --sm-client-id
11c0a800fe000111923169400000283000005 --screen 0
matt     24361     1  0 21:08 ?        00:00:00 evolution-2.2 --sm-client-id
11c0a800fe000111931222300000028760005 --screen 0
matt     24372     1  0 21:08 ?        00:00:00 /usr/libexec/gnome-vfs-daemon
--oaf-activate-iid=OAFIID:GNOME_VFS_Daemon_Factory --oaf-ior-fd=34
matt     24382     1  0 21:08 ?        00:00:00 evolution-2.2 --sm-client-id
11c0a800fe000111934707800000165000003 --screen 0
matt     24397     1  0 21:08 ?        00:00:00 /usr/libexec/mapping-daemon
matt     24450     1  0 21:08 ?        00:00:00 /usr/bin/pam-panel-icon
--sm-client-id 11c0a800fe000111871103800000106380005
matt     24458     1  0 21:08 ?        00:00:02 gnome-terminal
matt     24459 24458  0 21:08 ?        00:00:00 gnome-pty-helper
matt     24460 24458  0 21:08 pts/2    00:00:00 bash
matt     24540     1  0 21:09 pts/2    00:00:00 /usr/libexec/gconfd-2 15
matt     24542     1  0 21:09 ?        00:00:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=20
matt     24544     1  0 21:09 ?        00:00:00
/usr/libexec/evolution-data-server-1.2
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=24
matt     24550     1  0 21:09 ?        00:00:00
/usr/libexec/evolution/2.2/evolution-alarm-notify
--oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.2
--oaf-ior-fd=26
matt     24705     1  0 21:22 ?        00:00:00 evolution
matt     24732     1  0 21:23 ?        00:00:00 evolution
matt     24737     1  0 21:23 ?        00:00:00 /usr/libexec/gconfd-2 4
matt     24750     1  0 21:23 ?        00:00:00
/usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=19
matt     24752     1  0 21:23 ?        00:00:00
/usr/libexec/evolution-data-server-1.2
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=23
root     24912  2079  0 21:41 ?        00:00:00 sshd: matt [priv]
matt     24914 24912  0 21:41 ?        00:00:00 sshd: matt@pts/3
matt     24915 24914  0 21:41 pts/3    00:00:00 -bash
matt     25115 24460  0 21:57 pts/2    00:00:01 strace -f gnome-panel
matt     25116 25115  0 21:57 pts/2    00:00:00 gnome-panel
matt     25118     1  0 21:57 ?        00:00:00 /usr/libexec/wnck-applet
--oaf-activate-iid=OAFIID:GNOME_Wncklet_Factory --oaf-ior-fd=27
matt     25121     1  0 21:57 ?        00:00:00 /usr/libexec/gnome-vfs-daemon
--oaf-activate-iid=OAFIID:GNOME_VFS_Daemon_Factory --oaf-ior-fd=29
matt     25127     1  0 21:57 ?        00:00:00 /usr/libexec/clock-applet
--oaf-activate-iid=OAFIID:GNOME_ClockApplet_Factory --oaf-ior-fd=31
matt     25129     1  0 21:57 ?        00:00:00 /usr/libexec/gweather-applet-2
--oaf-activate-iid=OAFIID:GNOME_GWeatherApplet_Factory --oaf-ior-fd=32
matt     25133     1  0 21:57 ?        00:00:00
/usr/libexec/notification-area-applet
--oaf-activate-iid=OAFIID:GNOME_NotificationAreaApplet_Factory --oaf-ior-fd=31
matt     25137     1  0 21:57 pts/2    00:00:00 evolution
matt     25166 24458  0 21:59 pts/4    00:00:00 bash
matt      8488 25166  3 22:01 pts/4    00:00:00 ps -ef
matt      8489 25166  0 22:01 pts/4    00:00:00 grep matt
Comment 32 Matthew Wright 2005-06-21 08:07:32 EDT
[matt@solar orbit-matt]$ ls linc-609c-0-543e14eb1afda -la
srwxrwxr-x  1 matt matt 0 Jun 21 21:23 linc-609c-0-543e14eb1afda
[matt@solar orbit-matt]$ netstat -xp |grep linc-609c-0-543e14eb1afda
(Not all processes could be identified, non-owned process info
 will not be shown, you would have to be root to see it all.)
unix  4      [ ]         STREAM     CONNECTING    0      -                  
/tmp/orbit-matt/linc-609c-0-543e14eb1afda
unix  3      [ ]         STREAM     CONNECTED     4569860 24732/evolution    
/tmp/orbit-matt/linc-609c-0-543e14eb1afda
unix  3      [ ]         STREAM     CONNECTED     4569842 24732/evolution    
/tmp/orbit-matt/linc-609c-0-543e14eb1afda
Comment 33 Matthew Wright 2005-06-21 08:16:56 EDT
[matt@solar ~]$ echo $DISPLAY
unix:1017.0
[matt@solar ~]$
Comment 34 Matthew Wright 2005-06-21 08:25:06 EDT
rechecked -- it's most likely that linc* the last instance is connecting to
evolution-data-server

matt@solar orbit-matt]$ ps -ef |grep evolution-data-server |grep matt
matt     12689     1  0 22:13 ?        00:00:00
/usr/libexec/evolution-data-server-1.2
--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=39
matt     12892 12790  0 22:23 pts/3    00:00:00 grep evolution-data-server
[matt@solar orbit-matt]$ strace -fp 12689
Process 12690 attached with 2 threads - interrupt to quit
[pid 12689] poll( <unfinished ...>
[pid 12690] poll([{fd=35, events=POLLIN}, {fd=34, events=POLLIN|POLLPRI},
{fd=31, events=POLLIN|POLLPRI}, {fd=33, events=POLLIN|POLLPRI, revents=POLLIN},
{fd=32, events=POLLIN|POLLPRI}, {fd=37, events=POLLIN|POLLPRI}, {fd=41,
events=POLLIN|POLLPRI}, {fd=40, events=POLLIN|POLLPRI}], 8, -1) = 1
[pid 12690] accept(33, {sa_family=AF_FILE, path="\uffff      @\uffff     "},
[2]) = 39
[pid 12690] fcntl64(39, F_SETFL, O_RDONLY|O_NONBLOCK) = 0
[pid 12690] fcntl64(39, F_SETFD, FD_CLOEXEC) = 0
[pid 12690] poll([{fd=35, events=POLLIN}, {fd=34, events=POLLIN|POLLPRI},
{fd=31, events=POLLIN|POLLPRI}, {fd=33, events=POLLIN|POLLPRI}, {fd=32,
events=POLLIN|POLLPRI}, {fd=37, events=POLLIN|POLLPRI}, {fd=41,
events=POLLIN|POLLPRI}, {fd=40, events=POLLIN|POLLPRI}, {fd=39,
events=POLLIN|POLLPRI, revents=POLLIN}], 9, -1) = 1
[pid 12690] read(39, "GIOP\1\2\1\0d\0\0\0", 12) = 12
[pid 12690] read(39,
"P\342\260\277\3\0\0\0\0\0\0\0\34\0\0\0\0\0\0\0\250\335"..., 100) = 100
[pid 12690] write(27, "A", 1 <unfinished ...>
[pid 12689] <... poll resumed> [{fd=24, events=POLLIN}, {fd=26,
events=POLLIN|POLLPRI, revents=POLLIN}, {fd=29, events=POLLIN}], 3, -1) = 1
[pid 12690] <... write resumed> )       = 1
[pid 12689] read(26,  <unfinished ...>
[pid 12690] poll( <unfinished ...>
[pid 12689] <... read resumed> "A", 1)  = 1
[pid 12689] writev(39, [{"GIOP\1\2\1\1.\0\0\0", 12},
{"P\342\260\277\0\0\0\0\1\0\0\0\1\0\0\0\f\0\0\0\1\1\1\1\1"..., 46}], 2) = 58
[pid 12689] poll( <unfinished ...>
[pid 12690] <... poll resumed> [{fd=35, events=POLLIN}, {fd=34,
events=POLLIN|POLLPRI}, {fd=31, events=POLLIN|POLLPRI}, {fd=33,
events=POLLIN|POLLPRI}, {fd=32, events=POLLIN|POLLPRI}, {fd=37,
events=POLLIN|POLLPRI}, {fd=41, events=POLLIN|POLLPRI}, {fd=40,
events=POLLIN|POLLPRI}, {fd=39, events=POLLIN|POLLPRI, revents=POLLIN}], 9, -1) = 1
[pid 12690] read(39, "GIOP\1\2\1\5\0\0\0\0", 12) = 12
[pid 12690] close(39)                   = 0
[pid 12690] poll(
Comment 35 Mark McLoughlin 2005-06-21 09:08:13 EDT
The evolution-data-server strace looks fine, so I doubt its e-d-s which
evolution is hanging on. It would be worthwhile checking over all this again an
making sure you know which socket its hanging on, who owns the socket and that
you're really getting an stace of the process at the time evolution hangs.

Does removing ~/.gnome2/session help any?

Anything in /var/log/messages of interest? (e.g. selinux avc_denied messages?)

Are you sure you're starting NX correctly? I would have expected nxnode-login to
be running on the client.

Comment 36 Matthew Wright 2005-06-23 20:22:24 EDT
Created attachment 115910 [details]
What to change to get FreeNX to work (this is a work around as you'll see).
Comment 37 Matthew Wright 2005-06-23 20:23:00 EDT
Created attachment 115911 [details]
What to change to get FreeNX to work (this is a work around as you'll see). Part 2/2
Comment 38 Matthew Wright 2005-06-23 20:27:51 EDT
I have found a work around, it doesn't actually fix the problem but it makes the
environment 100% working.  This makes the problem look more like a FreeNX
problem and I don't know how to get onto the developers.. FreeNX runs fine but a
little slower if you do the following.

1. Users have to click Configure
2. Then change Desktop from Gnome to Custom
3. Then click on Settings and check the radio box "Run default X client script
on server"

Done Fixed but a little slower (Ok by me though).
I have attached two attachments see #36 and #37 on howto fix this.

I have also notified Rick Stout the maintainer of the FreeNX rpms on
fedoranews.org and hopefully he will post this information to his howto page.
which is
http://www.fedoranews.org/contributors/rick_stout/freenx/

Do you want to keep debugging the problem using the default gnome setting or do
you want to close the bug?
Comment 39 Mark McLoughlin 2005-06-27 03:13:08 EDT
No, as you say, it looks like an NX issue, probably some env variables not being
set correctly or something without this script.

Note You need to log in before you can comment on or make changes to this bug.